Potential fix to compile on Linux
[clinton/Virtual-Jaguar-Rx.git] / docs / INSTALL
index 55fcdf5..b95c96b 100644 (file)
@@ -9,14 +9,14 @@ REQUIREMENTS:
 The minimum requirements for compiling Virtual Jaguar from source are:
 
  o  GCC v4.4.x or higher
- o  SDL v1.2.15 or higher
- o  zlib v1.2.8
+ o  SDL v1.2.15
+ o  zlib v1.2.8 or higher
  o  libelf 0.8.13
  o  libdwarf 1.41
  o  libcdio v0.90 or higher (optional, for Jaguar CD support)
  o  OpenGL libraries
  o  Qt 5.5.1 or higher
- o  Visual Studio 2015 (if any of interest)
+ o  Visual Studio 2015 or 2017 (if any of interest)
  o  supported OS (WIN64 through msys2/MinGW64, Windows 64 bits); other
     OSs may work to but you may need to change some items in the Makefile or adapt the Visual Studio project.
  o  cygwin64 support is done but no test has been completed
@@ -82,10 +82,10 @@ cp -r ~/location-where-you-built-qt/src/gui/mac/qt_menu.nib virtualjaguar.app/Co
 Have fun!
 
 
-NOTES FOR COMPILING UNDER VISUAL STUDIO 2015:
+NOTES FOR COMPILING UNDER VISUAL STUDIO 2017:
 ---------------------------------------------
 
-VS2015 sub-directory contains the projects and solution files
+Win-VS2017 sub-directory contains the project and solution file.
 You may have to adapt such files to handle your own development environement,
 usualy to put the right include and library paths will be enough assuming you have all the requirements properly set.